<h1>Registrieren</h1>
<form [formGroup]="registerForm" (keydown.enter)="onRegisterFormSubmit()">
  <ion-grid>
    <ion-row>
      <ion-col col-25>
        <ion-label>Nutzername</ion-label>
      </ion-col>
      <ion-col col-75>
        <ion-input id="username" name="username" type="text" formControlName="username" placeholder="z.B. MaxMustermann32"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
        <ion-col col-25>
          <ion-label>Email</ion-label>
        </ion-col>
        <ion-col col-75>
          <ion-input id="email" name="email" type="text" formControlName="email" placeholder="z.B. mustermann@beispiel.de"></ion-input>
        </ion-col>
      </ion-row>
    <ion-row>
      <ion-col col-25>
        <ion-label>Passwort</ion-label>
      </ion-col>
      <ion-col col-75>
        <ion-input id="password" name="password" type="password" formControlName="password" placeholder="mindestens 8 Zeichen"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col col-25>
        <ion-label>Passwort wiederholen</ion-label>
      </ion-col>
      <ion-col col-75>
        <ion-input id="password-repeat" name="password-repeat" type="password" formControlName="passwordConfirm"
          placeholder="Passwort erneut eingeben"></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button (click)="onRegisterFormSubmit()">Registrieren</ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</form>
<p>Du hast schon einen Account? <a routerLink="/login">Anmelden</a></p>